# GNUmakefile for building Encore
#
# Author: Oliver Langer
#
include $(GNUSTEP_MAKEFILES)/common.make

FRAMEWORK_NAME=Encore
VERSION=0.1

Encore_OBJC_FILES=\
  ECObject.m\
  ECExceptions.m\
  ECCache.m\
  ECCacheItem.m\
  ECArrayIterator.m\
  ECStack.m\
  ECEmptyIterator.m\
  ECKeyToListMap.m\
  ECTestcase.m\
  ECTestSuite.m\
  ECTestResult.m\
  ECXMLControlContext.m\
  ECXMLControlDefaultAllocatorRule.m\
  ECXMLControlDefaultRule.m\
  ECXMLControlEvent.m\
  ECXMLControl.m\
  ECXMLControlRuleSelector.m\
  ECXMLControlState.m\
  ECParameterString.m\
  ECDefaultLoggingFormatter.m\
  ECLogger.m\
  ECLoggingConfiguration.m\
  ECLogging.m\
  ECLoggingXMLConfiguration.m\
  ECLoggingConfiguration.m\
  ECNSLogLoggingWriter.m\
  ECLogging.m\
  ECStringUtils.m\
  ECFileLoggingWriter.m\
  ECXMLControlReferenceRule.m\
  ECStringUtils.m\
  ECStandardOutput.m\
  ECEnumeratorIterator.m\
  ECXMLControlDelegateMessageRule.m


Encore_HEADER_FILES=\
  ECArrayIterator.h\
  ECCache.h\
  ECCacheItem.h\
  ECEmptyIterator.h\
  ECExceptions.h\
  ECIterator.h\
  ECKeyToListMap.h\
  ECMemory.h\
  ECObject.h\
  ECStack.h\
  Encore.h\
  ECTestcase.h\
  ECTestSuite.h\
  ECTestResult.h\
  ECXMLControlContext.h\
  ECXMLControlDefaultAllocatorRule.h\
  ECXMLControlDefaultRule.h\
  ECXMLControlEvent.h\
  ECXMLControl.h\
  ECXMLControlRule.h\
  ECXMLControlRuleSelector.h\
  ECXMLControlState.h\
  ECParameterString.h\
  ECLoggingFormatter.h\
  ECDefaultLoggingFormatter.h\
  ECLogger.h\
  ECLoggingConfiguration.h\
  ECLoggingXMLConfiguration.h\
  ECLoggingWriter.h\
  ECNSLogLoggingWriter.h \
  ECLogging.h\
  ECStringUtils.h\
  ECFileLoggingWriter.h\
  ECXMLControlReferenceRule.h\
  ECStringUtils.h\
  ECStandardOutput.h\
  ECEnumeratorIterator.h\
  ECXMLControlDelegateMessageRule.h


-include GNUmakefile.preamble
include $(GNUSTEP_MAKEFILES)/framework.make
-include GNUmakefile.postamble
